- Home
- API Enriched
- Ai Services
- gia
- Allocate IP through Global IP Allocator.
Allocate IP through Global IP Allocator.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/gia/gia/allocateip';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"context":"example","use_v6_range":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/gia/gia/allocateip \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "context": "example", "use_v6_range": true }'AllocateIP will allocate an IP address for the tenant read from context.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘AllocateIP’ RPC.
object
This is the global IP allocator context from which IP allocation will happen Optional: If not specified, gia will try to allocate IP from default IP range.
Optional: If not specified, v4 range for this tenant will be used.
Examplegenerated
{ "context": "example", "use_v6_range": true}Responses
Section titled “Responses”A successful response.
This is the output message of the ‘AllocateIP’ RPC.
object
Error message from global IP allocator.
IPv4 address in dotted decimal notation (e.g., 192.0.2.1)
Examplegenerated
{ "error_message": "example", "ip": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example